<?php
	$fgdebug=false;

	// Include Posh
	require_once('../../config.inc.php');
	require_once('../../connection_'.__DBTYPE.'.inc.php');
	require_once('../../session.inc.php');

	// Récupération des informations de bureau pour l'utilisateur courant
	include_once('CAS-1.3.1/eoleCAS.php');
	include_once('configCAS/cas.inc.php');


    function FormatItem($libelle) {
        if ($libelle===NULL) return "";
		$libelle=str_replace("\n"    ," ",$libelle);
		$libelle=str_replace("<br>"  ," ",$libelle);
		$libelle=str_replace("<br />"," ",$libelle);
		$libelle=str_replace("<br/>" ," ",$libelle);

		return $libelle;
	}
	
	EolephpCAS::client(__CAS_VERSION,__CAS_SERVER,__CAS_PORT,__CAS_FOLDER,false);
	if (__CAS_VALIDER_CA) {
		EolephpCAS::setCasServerCACert(__CAS_CA_LOCATION); // vérification par rapport à la CA
	} else {
		if (method_exists("EolephpCAS", "setNoCasServerValidation")){
			EolephpCAS::setNoCasServerValidation();
		}
	}
	if ( method_exists(EolephpCAS, 'EoleLogoutRequests') ) EolephpCAS::EoleLogoutRequests(false);

	//EolephpCAS::forceAuthentication();
	if (EolephpCAS::isAuthenticated()){
		$user = EolephpCAS::getUser();
		$details = EolephpCAS::getDetails();
		$user_datas = array('user'=>$user, 'details'=>$details);
	}

	// Include Posh-Profil
	include_once("/var/www/html/posh-profil/include/envole.php");
	

	if($fgdebug) echo "<br><br>Connection base poshprofile : ".$config['dblogin']." ".$config['dbpassword']." ".$config['dbname'];

	// Initialisation
	global $DB1;
	global $DB2;

	$DB1 = new connection(__SERVER,__LOGIN,__PASS,__DB);
	$DB2 = new connection(__SERVER,$config['dblogin'],$config['dbpassword'],$config['dbname']);

	$tbattrs 	= array();		// Liste des attributs associés à l'utilisateur
	$tbprofs 	= array();		// Liste des profils associés à l'utilisateur
	$tbitem		= array();		// Liste des items associés à l'utilisateur
	$tbcat		= array();		// Liste des catégories d'items associées à l'utilisateur
	$tbalert	= array();		// Liste des alertes assoicées à l'utilisateur

	// Parcours de l'ensemble des informations détaillées de l'utilisateur
	if($fgdebug) echo "<br><br>LISTE DES ATTRIBUTS ASSOCIES";
	if ($user_d = current($user_datas["details"])) {
		while ($tbuser = current($user_d)) {
			$key=key($user_d);
			if($fgdebug) echo "<br><br><em>$key</em>";

			foreach ($tbuser as $u) {
				if($fgdebug) echo "<br>".$u;

				// On recherche s'il exite un attribut parametré pour cette valeur
				$DB2->getResults("SELECT * FROM userattr WHERE attrname='".addslashes($key)."' AND attrvalue='".addslashes($u)."'");

				// Si oui on sauvegarde l'id de l'attribut
				if ($row = $DB2->fetch(0)) {
					array_push($tbattrs,$row['userattrid']);
					if($fgdebug) echo "<span style='color: red;font_width: strong;'> >> OK</span> >> ".$row['userattrid'];
				}
			}
			next($user_d);
		}
	}

	// Pour l'ensemble des attributs qui correspondent à l'utilisateur
	if($fgdebug) echo "<br><br>LISTE DES PROFILS ASSOCIES";
	$tbprofs=array();
	$tbprofsname=array();
	while ($idattr = current($tbattrs)) {
		// On parcourt l'ensemble des profils associés
		$DB2->getResults("SELECT * FROM userattrprofile, profile WHERE userattrid=$idattr AND userattrprofile.profileid=profile.profileid");
		while ($row = $DB2->fetch(0)) {
			if(!in_array($row['profileid'],$tbprofs)) {
				if($fgdebug) echo "<br>".$row['name'];
				array_push($tbprofs,$row['profileid']);
				array_push($tbprofsname,$row['name']);
			}
		}
		next($tbattrs);
	}

	// Ajouter qu'il arrive l'utilisateur par défaut
	$DB2->getResults("SELECT * FROM profile WHERE name='main_user'");
	if ($row = $DB2->fetch(0)) {
		if(!in_array($row['profileid'],$tbprofs)) {
			if($fgdebug) echo "<br>".$row['name'];
			array_push($tbprofs,$row['profileid']);
			array_push($tbprofsname,$row['name']);
		}
	}
	
	// Ajouter l'utilisateur Visiteur si pas authentifié
	if (!(EolephpCAS::isAuthenticated())){
		$DB2->getResults("SELECT * FROM profile WHERE name='visiteur'");
		if ($row = $DB2->fetch(0)) {
			if(!in_array($row['profileid'],$tbprofs)) {
				if($fgdebug) echo "<br>".$row['name'];
				array_push($tbprofs,$row['profileid']);
				array_push($tbprofsname,$row['name']);
			}
		}
	}

	// Initialiser les catégories d'item à 0 si catégorie est null
	$DB2->execute("UPDATE desktopitem SET categorie=0 WHERE categorie IS NULL");

	// Pour l'ensemble des alertes qui correspond à l'utilisateur
	if($fgdebug) echo "<br><br>LISTE DES ITEMS ASSOCIES";
	$tbidcat=array();
	$tbidite=array();
    while ($idprof = current($tbprofs)) {
		// On regarde s'il y a des items non rattachés à des catégories
		$DB2->getResults("SELECT * FROM profiledesktopitem, desktopitem WHERE profiledesktopitem.profileid=$idprof AND profiledesktopitem.desktopid=desktopitem.desktopid AND (desktopitem.categorie=0 OR desktopitem.categorie='') LIMIT 1");
		if ($row = $DB2->fetch(0)) {
			if(!in_array(0,$tbidcat)) {
			if($fgdebug) echo "<br>CAT = Aucune Catégorie";
				array_push($tbidcat,'0');
				$tmpcat=array("id" => "0", "name" => "Aucune Catégorie", "color" => "#cdcdcd");
				array_push($tbcat,$tmpcat);
			}
		}

		// On parcourt les catégories
		$DB2->getResults("SELECT * FROM profiledesktopitem, desktopitem, catitem WHERE profiledesktopitem.profileid=$idprof AND profiledesktopitem.desktopid=desktopitem.desktopid AND catitem.id=desktopitem.categorie ORDER BY catitem.name");
		while ($row = $DB2->fetch(0)) {
			if(!in_array($row['id'],$tbidcat)) {
				if($fgdebug) echo "<br>CAT = ".str_replace("<br />"," ",$row['name']);
				array_push($tbidcat,$row['id']);
				$tmpcat=array("id" => $row['id'], "name" => $row['name'], "color" => $row['color']);
				array_push($tbcat,$tmpcat);
			}
		}

        // avec la categorie
		$DB2->getResults("SELECT * FROM profiledesktopitem, desktopitem WHERE profiledesktopitem.profileid=$idprof AND profiledesktopitem.desktopid=desktopitem.desktopid ORDER BY desktopitem.indice, desktopitem.libelle");
		while ($row = $DB2->fetch(0)) {
			if(!in_array($row['desktopid'],$tbidite)) {
				if($fgdebug) echo "<br>ITEM = ".str_replace("<br>"," ",str_replace("<br />"," ",$row['libelle']));
                $tmpitem = array("indice" => $row['indice'],"id" => $row['desktopid'],"libelle" => FormatItem($row['libelle']),"url" => $row['url'],"icon" => $row['icon'], "categorie" => $row['categorie'],"badge_type" => $row['badge_type'],"badge_url" => $row['badge_url'],"badge_message" => $row['badge_message'],"color" => $row['color']);
                array_push($tbidite,$row['desktopid']);
				array_push($tbitem,$tmpitem);
			}
		}
		next($tbprofs);
	}

	// Pour l'ensemble des alertes qui correspond à l'utilisateur
	if($fgdebug) echo "<br><br>LISTE DES ALERTES ASSOCIES";
	$tbidalt=array();
	reset($tbprofs);
    while ($idprof = current($tbprofs)) {
		// On parcourt l'ensemble des onglets qui correspondent à l'utilisateur
        // avec la categorie
		$DB2->getResults("SELECT idalert,titrealert,typealert,rssalert,nbalert,color FROM profilealert, alert WHERE profilealert.profileid=$idprof AND profilealert.alertid=alert.idalert ORDER BY alert.orderalert");
		while ($row = $DB2->fetch(0)) {
			if(!in_array($row['thumbid'],$tbidalt)) {
				if($fgdebug) echo "<br>".str_replace("<br />"," ",$row['titrealert']);
                $tmpalert = array("id" => $row['idalert'],"titre" => $row['titrealert'],"type" => $row['typealert'],"rss" => $row['rssalert'],"maxrss" => $row['nbalert'],"color" => $row['color']);
				array_push($tbalert,$tmpalert);
			}
		}
		next($tbprofs);
	}

	// Trie tableau des catégories
	$indice=array();
	$libelle=array();
	foreach ($tbcat as $key => $rowd) {
		$indice[$key] = $rowd['indice'];
		$libelle[$key] = $rowd['libelle'];
	}
	array_multisort($indice, SORT_ASC, $libelle, SORT_ASC, $tbcat);
	
	// Trie tableau des items
	$indice=array();
	$libelle=array();
	foreach ($tbitem as $key => $rowd) {
		$indice[$key] = $rowd['indice'];
		$libelle[$key] = $rowd['libelle'];
	}
	array_multisort($indice, SORT_ASC, $libelle, SORT_ASC, $tbitem);
?>

<html>

<head>
	<link href="css/bootstrap.min.css" rel="stylesheet">
	<link href="css/pve.css" rel="stylesheet">
	<link href="lib/perfect-scrollbar/min/perfect-scrollbar.min.css" rel="stylesheet">
        	
	<script src="js/jquery.min.js"></script>
	<script src="js/bootstrap.min.js"></script>
	<script src="lib/perfect-scrollbar/min/perfect-scrollbar.with-mousewheel.min.js"></script>
	<script src="lib/feedek/FeedEk.js"></script>
	
	<script>
		function loadItem(idcat) {
			$("a[id^='itemcat']").css("display","none");
			$("a[id='itemcat"+idcat+"']").css("display","block");
		}	
		
		function loadAlert(idalert) {
			$('#divRss').load('../plugin_alert/process-alert.php?idalert='+idalert);
		}

		function loadURL(url) {
			$('#divRss').load(url);
		}

		function loadRSS(url,maxrss) {
			$('#divRss').FeedEk({
				FeedUrl : url,
				MaxCount : maxrss,
				ShowDesc : true,
				ShowPubDate: true
			});
			
			
			"use strict";
			$('#divRss').perfectScrollbar({
				wheelSpeed: 20,
				wheelPropagation: false
			});
		}			
		
		$( document ).ready(function() {
			"use strict";
			$('#divRss').perfectScrollbar({
				wheelSpeed: 20,
				wheelPropagation: false
			});
		});

		$(document).on('click', '#divRss a', function() {
			window.open($(this).attr('href'));
			return false;
		});		
	</script>
</head>

<body>

<?
	if (!(EolephpCAS::isAuthenticated())||count($tbalert)>0){
		echo "<div class='col-md-7 column'>";
	}
	else{
		echo "<div class='col-md-12 column'>";
	}
?>
	
	<h3>MES SERVICES</h3>
	
	<?
	
	if(count($tbcat) > 1)
		echo "<div id='div-onglet-desktop' class='col-md-12' style='min-height:35px'>";
	
	for($i=0;$i<count($tbcat);$i++) {
		$class="";
		if($i==0) {
			$class		="onglet-desktop-actif";
			$FctIniItem	="loadItem(".$tbcat[$i]["id"].");";
		}

		if(count($tbcat) > 1)
			echo "<div style='background-color:".$tbcat[$i]["color"].";' class='onglet-desktop $class' onClick=\"$('#div-onglet-desktop div').removeClass('onglet-desktop-actif'); $(this).addClass('onglet-desktop-actif'); loadItem(".$tbcat[$i]["id"]."); \">".$tbcat[$i]["name"]."</div>";
	}
	
	if(count($tbcat) > 1)	
		echo "</div>";
	
	foreach($tbitem as $item) {
	?>
		<a id="itemcat<? echo $item['categorie']; ?>" href="<? echo $item['url']; ?>" target="_blank">
		<div class="col-md-6">
			<div class="div-desktop" style="background-color: <? echo $item['color']; ?>;">
				<div class="row" style="padding:10px;">
					<img class="img-desktop img-responsive center-block" src="<? echo $item['icon']; ?>" alt="<? echo $item['libelle']; ?>" height="100px">
				</div>
			
				<div class="row">
					<span class="url-desktop">Allez sur<br><strong><? echo $item['libelle']; ?></strong></span>
				</div>
			</div>
		</div>  
		</a>
		
	<?
	}

	// Afficher la Carte des CROUS uniquement en mode anonyme
	if (!(EolephpCAS::isAuthenticated())){
	?>
	<div class="col-md-12">
	<h3>CARTE DES CROUS</h3>
	<center>
	<p><img alt="Carte de France des CROUS" src="css/france.png" usemap="#Map"></p>
	<map id="Map" name="Map">
	<area alt="Académie Aix Marseille" coords="337,311,328,300,330,280,371,280,377,277,375,269,400,245,413,255,412,270,399,278,398,287,389,298,379,294,371,297,363,314" shape="poly" href="http://www.crous-aix-marseille.fr/" target="_blank">
	<area alt="Académie Amiens" coords="255,41,257,31,267,40,326,46,318,69,307,89,300,80,264,77,263,59" shape="poly" href="http://www.crous-amiens.fr" target="_blank">
	<area alt="Académie Antilles-Guyane" coords="23,274,47,273,62,242,73,248,82,267,93,272,88,281,110,287,112,275,102,253,80,245,85,231,93,223,81,215,80,201,90,199,78,192,75,185,71,199,59,195,62,219,72,213,79,216,76,226,79,231,75,243,28,225,19,240,30,256" shape="poly" href="http://crous-antilles-guyane.cnous.fr/index.php" target="_blank">
	<area alt="Académie Besançon" coords="364,142,382,124,405,132,408,142,394,161,390,175,383,188,377,195,363,190,366,171,362,164" shape="poly" href="http://www.crous-besancon.fr/" target="_blank">
	<area alt="Académie Bordeaux" coords="156,315,165,325,191,337,205,314,198,307,198,294,227,286,247,252,242,236,228,224,215,242,200,244,189,239,177,228,170,278" shape="poly" href="http://www.crous-bordeaux.fr/" target="_blank">
	<area alt="Académie Caen" coords="175,100,170,74,163,57,178,56,180,69,207,74,218,69,221,87,231,100,220,103,213,107,210,101,192,104,183,100" shape="poly" href="http://www.unicaen.fr/crous/" target="_blank">
	<area alt="Académie Clermont Ferrand" coords="272,251,279,260,288,250,294,256,306,250,321,257,334,243,323,232,311,215,313,205,319,194,313,184,292,179,278,190,289,210,280,237" shape="poly" href="http://www.crous-clermont.fr/Modeles/Affiche_Page.php?id_page=38" target="_blank">
	<area alt="Académie Corse" coords="394,374,411,363,419,350,424,358,425,372,425,397,420,407,414,431,399,424,394,409,391,387" shape="poly" href="http://www.crous-corse.fr/" target="_blank">
	<area alt="Académie Créteil" coords="284,107,297,102,328,102,332,120,288,118" shape="poly" href="http://www.crous-creteil.fr/" target="_blank">
	<area alt="Académie Dijon" coords="296,124,316,120,320,129,340,128,355,143,358,166,360,181,350,188,343,194,326,198,324,188,316,175,299,176,294,147" shape="poly" href="http://www.crous-dijon.fr/" target="_blank">
	<area alt="Académie Grenoble" coords="325,261,336,253,343,236,381,201,394,192,403,191,411,207,403,215,414,229,411,238,400,241,371,269,371,279,358,277,331,278" shape="poly" href="http://www.crous-grenoble.fr/" target="_blank">
	<area alt="Académie Lille" coords="258,28,258,10,272,3,282,3,284,9,288,15,298,14,300,23,308,27,322,32,325,42,291,39,270,37" shape="poly" href="http://www.crous-lille.fr/" target="_blank">
	<area alt="Académie Limoges" coords="232,220,235,202,242,194,270,193,279,200,281,217,280,227,269,244,267,249,253,249,247,241,242,227" shape="poly" href="http://www.crous-limoges.fr" target="_blank">
	<area alt="Académie Lyon" coords="319,200,333,202,344,198,349,198,351,190,358,188,366,198,380,197,376,203,356,219,338,238,334,233,329,230,320,218" shape="poly" href="http://www.crous-lyon.fr" target="_blank">
	<area alt="Académie Montpellier" coords="263,351,272,354,297,353,297,328,314,314,326,307,327,279,317,259,306,257,297,260,309,292,289,308,285,317,265,317,235,318,233,329,269,331" shape="poly" href="http://www.crous-montpellier.fr/" target="_blank">
	<area alt="Académie Nancy Metz" coords="353,63,350,96,371,117,374,123,406,117,409,95,400,86,401,77,385,65" shape="poly" href="http://www.crous-nancy-metz.fr/" target="_blank">
	<area alt="Académie Nantes" coords="142,148,156,139,176,136,186,127,183,106,195,108,204,107,211,114,223,108,235,121,231,134,220,139,209,159,184,165,191,183,176,192,162,187,152,169,156,153" shape="poly" href="http://www.crous-nantes.fr/" target="_blank">
	<area alt="Académie Nice" coords="367,314,374,298,382,299,390,303,405,287,403,280,411,277,424,281,433,279,431,292,406,313,404,319,393,324,375,322" shape="poly" href="http://www.crous-nice.fr/" target="_blank">
	<area alt="Académie Paris" coords="258,83,262,98,275,98,280,103,297,98,305,97,306,91,297,85" shape="poly" href="http://www.crous-paris.fr/" target="_blank">
	<area alt="Académie Poitiers" coords="177,195,177,219,188,231,203,239,216,231,227,219,231,200,239,191,227,169,210,164,189,169,195,183" shape="poly" href="http://www.crous-poitiers.fr/" target="_blank">
	<area alt="Académie Reims" coords="307,98,329,47,342,39,341,49,356,58,349,60,346,98,373,128,360,140,339,122,331,102" shape="poly" href="http://www.crous-reims.fr/" target="_blank">
	<area alt="Académie Rennes" coords="83,99,94,91,112,93,114,88,126,86,137,101,148,98,161,97,179,106,182,123,172,133,156,134,141,144,103,127,92,127,84,116,89,110" shape="poly" href="http://www.crous-rennes.fr/" target="_blank">
	<area alt="Académie Réunion (Ile de la)" coords="52,322,81,321,101,344,91,366,55,355,48,336" shape="poly" href="http://www.crous-reunion.fr/" target="_blank">
	<area alt="Académie Rouen" coords="218,61,218,57,252,42,258,52,259,72,253,80,250,91,235,94,228,86" shape="poly" href="http://www.crous-rouen.fr/" target="_blank">
	<area alt="Académie Strasbourg" coords="407,77,434,82,431,87,421,139,415,143,405,127,409,117,415,98,406,87" shape="poly" href="http://www.crous-strasbourg.fr/" target="_blank">
	<area alt="Académie Toulouse" coords="198,338,223,341,225,336,258,348,262,334,228,334,224,325,229,312,283,311,302,292,287,256,282,265,272,265,267,256,254,251,242,269,240,277,229,291,206,294,203,303,210,315" shape="poly" href="http://www.crous-toulouse.fr/" target="_blank">
	<area alt="Académie Tours" coords="217,159,224,144,233,140,239,120,276,117,292,123,290,139,294,172,274,188,244,190,230,165" shape="poly" href="http://www.crous-orleans-tours.fr/" target="_blank">
	<area alt="Académie Versailles" coords="227,101,251,92,258,101,274,101,281,111,271,116,234,115" shape="poly" href="http://www.crous-versailles.fr/" target="_blank">
	</map>
	</center>
	</div>
	<?
	}
?>

</div>


<div class="col-md-5 column">  
<?
	if (count($tbalert) > 0) {
		echo "<h3>INFORMATIONS</h3>";

		if (count($tbalert) > 1) echo "<div id='div-onglet-alert' class='col-md-12' style='min-height:35px'>";
		for($i=0;$i<count($tbalert);$i++) {
			
			if($tbalert[$i]['type']=='0')
				$fctload="loadRSS('".$tbalert[$i]['rss']."',".$tbalert[$i]['maxrss'].");";
			elseif($tbalert[$i]['type']=='2')
				$fctload="loadURL('".$tbalert[$i]['rss']."');";
			else
				$fctload="loadAlert(".$tbalert[$i]["id"].");";

			$class="";
			if($i==0) {
				$class		="onglet-alert-actif";
				$FctIniAlert=$fctload;
			}

			if (count($tbalert) > 1)
				echo "<div style='background-color:".$tbalert[$i]["color"].";' class='onglet-alert $class' onClick=\"$('#div-onglet-alert div').removeClass('onglet-alert-actif'); $(this).addClass('onglet-alert-actif'); ".$fctload." \">".$tbalert[$i]["titre"]."</div>";
		}
		if (count($tbalert) > 1) echo "</div>";

		echo "<div id='divRss' class='col-md-12 wrapper' style='clear:both'></div>";
	}
?>


</div>
</body>

<script>
	$( document ).ready(function() {
		<?
			echo $FctIniItem;
			echo $FctIniAlert;
		?>
	});

</script>


</html>

