<?php
include('config.php');
include('controllers/Etudiants.php');

$error = array();

if (isset($_GET['mail']) && preg_match('/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/', $_GET['mail'])){
  $mail = $_GET['mail'];
}
if (isset($_GET['key']) && (strlen($_GET['key']) == 32)){
  $key = $_GET['key'];
}
if (isset($mail) && isset($key)){
  $query_activate_account = "UPDATE etudiants SET active=1 WHERE(mail=? AND activation=?) LIMIT 1";
  $stmt = $mysqli->prepare($query_activate_account);
  $stmt->bind_param('ss', $mail, $key);

  if(!$stmt->execute()) $error[] = "Erreur avec la base de données";

  if ($stmt->affected_rows == 1){
    $query = "SELECT * FROM etudiants WHERE mail='".$mysqli->real_escape_string($mail)."'";
    $result = $mysqli->query($query);

    if(!$result) $error[] = "Erreur avec la base de données";

    if($result->num_rows != 0){
      $etudiant = $result->fetch_array(MYSQLI_ASSOC);
    } else
      $error[] = "Profil inexistant";

    $etudiants = new Etudiants();
    $etudiants->add(LDAP_DN_ETUDIANT,
                    $etudiant['id'],
                    $etudiant['ine'],
                    $etudiant['prenom'],
                    $etudiant['nom'],
                    $etudiant['mail'],
                    $etudiant['password']);
    $etudiants->disconnect();
  } else {
    $error[] = "Le compte est déjà activé. Si le problème persiste, veuillez contacter votre administrateur système.";
  }
  $stmt->close();
  $mysqli->close();

} else {
  $error[] = "L'URL de validation est érronée";
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>Inscription</title>
  <link rel="stylesheet" type="text/css" href="/pve/css/bootstrap.min.css" />
  <link rel="stylesheet" type="text/css" href="/pve/css/pve.css" />
  <script type="text/javascript" src="/pve/js/jquery.min.js"></script>
  <script type="text/javascript" src="/pve/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <div class="row">
    <div class="col-md-5 toppad  pull-right col-md-offset-3 ">
    </div>
    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xs-offset-0 col-sm-offset-0 col-md-offset-2 col-lg-offset-2 toppad">

      <?php if(empty($error)){ ?>
        <div class="alert alert-dismissable alert-success">
          <button data-dismiss="alert" class="close" type="button">×</button>
          <strong>Addresse email validée</strong>
          <p>
            Votre compte est désormais actif. Veuillez retourner à la
            <a href="/" class="alert-link">page d'authentification</a> pour vous connecter.
          </p>
        </div>
      <?php } else foreach ($error as $key => $value) { ?>
        <div class="alert alert-dismissable alert-danger">
          <button data-dismiss="alert" class="close" type="button">×</button>
          <strong>Erreur</strong> <?php echo $value ?>
        </div>
      <?php } ?>

      <a href="/" class="btn btn-default">&lt; Retour &#224; la page d&#39;autentification</a>
    </div>
  </div>
</div>

</body>
</html>
