<?php

if(!ini_get('display_errors')){
    ini_set('display_errors', '1');
}
include('config.php');
include('controllers/Etudiants.php');

$error    = array();
$etudiant = array();

if (isset($_POST['submit'])){

    if (empty($_POST['ine'])) $error[] = "Le numéro INE n'est pas renseigné";
    else $etudiant['ine'] = $_POST['ine'];

    if (empty($_POST['prenom'])) $error[] = "Le prénom n'est pas renseigné";
    else $etudiant['prenom'] = $_POST['prenom'];

    if (empty($_POST['nom'])) $error[] = "Le nom n'est pas renseigné";
    else $etudiant['nom'] = $_POST['nom'];

    if (empty($_POST['mail'])) $error[] = "L'adresse mail n'est pas renseignée";
    else {
      if (preg_match("/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/", $_POST['mail']))
        $etudiant['mail'] = $_POST['mail'];
      else $error[] = "L'addresse mail n'est pas valide";
    }

    if (empty($_POST['password'])) $error[] = "Le mot de passe n'est pas renseigné";
    elseif ($_POST['password'] != $_POST['password_confirmation']) $error[] = "Les deux mots de passe sont différents";
    else $etudiant['password'] = $_POST['password'];

    if(empty($error)){
      $query_verify_mail = "SELECT * FROM etudiants WHERE mail=?";
      $stmt = $mysqli->prepare($query_verify_mail);
      $stmt->bind_param('s', $etudiant['mail']);

      if(!$stmt->execute()) $error[] = "Erreur avec la base de données";

      $stmt->store_result();

      if($stmt->num_rows == 0){
        $activation = md5(uniqid(rand(), true));
        $query_insert_user = "INSERT INTO `etudiants` (`ine`, `prenom`, `nom`, `mail`, `password`, `activation`, `active`) ";
        $query_insert_user.= "VALUES (?, ?, ?, ?, ?, ?, 0);";
        $stmt = $mysqli->prepare($query_insert_user);
        $stmt->bind_param('ssssss', $etudiant['ine'], $etudiant['prenom'], $etudiant['nom'], $etudiant['mail'], $etudiant['password'], $activation);

        if(!$stmt->execute()) $error[] = "Erreur dans l'execution de la requête";

        if($stmt->affected_rows == 1){
          $message = "Pour activer votre compte utilisateur, cliquez sur le lien suivant :\n\n";
          $message .= WEBSITE_URL . '/activate.php?mail=' . urlencode($etudiant['mail']) . "&key=$activation";
          mail($etudiant['mail'], 'Registration Confirmation', $message, 'From: '.EMAIL);

          header("Location: /pve/mail_sent.php");

        } else $error[] = "Erreur système dans la création du compte";
      } else $error[] = "Cette adresse mail existe déjà dans la base";

      $stmt->close();
    }
    $mysqli->close();
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>Inscription</title>
  <link rel="stylesheet" type="text/css" href="/pve/css/bootstrap.min.css" />
  <link rel="stylesheet" type="text/css" href="/pve/css/pve.css" />
  <script type="text/javascript" src="/pve/js/jquery.min.js"></script>
  <script type="text/javascript" src="/pve/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <div class="row">
    <div class="col-md-5 toppad  pull-right col-md-offset-3 ">
    </div>
    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xs-offset-0 col-sm-offset-0 col-md-offset-2 col-lg-offset-2 toppad">
      <div class="panel panel-primary">
        <div class="panel-heading">
          <h3 class="panel-title">Inscription</h3>
        </div>
        <div class="panel-body">
          <div class="row">
            <div align="center" class="col-md-3 col-lg-3 ">
              <img class="img-circle" src="/pve/images/user.jpg" alt="User Pic">
            </div>
            <div class=" col-md-9 col-lg-9 ">

              <form action="index.php" method="post" class="form-horizontal">
                <fieldset>
                  <!--legend>Inscription</legend-->

                  <?php foreach ($error as $key => $value) { ?>
                    <div class="alert alert-dismissable alert-danger">
                      <button data-dismiss="alert" class="close" type="button">×</button>
                      <strong>Erreur</strong> <?php echo $value ?>
                    </div>
                  <?php } ?>

                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="ine">Numéro INE</label>
                    <div class="col-lg-9">
                      <input type="number" placeholder="Numéro INE" id="ine" class="form-control" name="ine" value="<?= $etudiant['ine'] ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="prenom">Prénom</label>
                    <div class="col-lg-9">
                      <input type="text" placeholder="Prénom" id="prenom" class="form-control" name="prenom" value="<?= $etudiant['prenom'] ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="nom">Nom</label>
                    <div class="col-lg-9">
                      <input type="text" placeholder="Nom" id="nom" class="form-control" name="nom" value="<?= $etudiant['nom'] ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="mail">Email</label>
                    <div class="col-lg-9">
                      <input type="mail" placeholder="Email" id="mail" class="form-control" name="mail" value="<?= $etudiant['mail'] ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="password">Password</label>
                    <div class="col-lg-9">
                      <input type="password" placeholder="Password" id="password" class="form-control" name="password" value="<?= $etudiant['password'] ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="password_confirmation">Password Confirmation</label>
                    <div class="col-lg-9">
                      <input type="password" placeholder="Password Confirmation" id="password_confirmation" class="form-control" name="password_confirmation">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-lg-9 col-lg-offset-3">
                      <a href="/" class="btn btn-default">&lt; Retour &#224; la page d&#39;autentification</a>
                      <button class="btn btn-primary" type="submit" name="submit">S'Inscrire</button>
                    </div>
                  </div>
                </fieldset>
              </form>

            </div>
          </div>
        </div>
        <div class="panel-footer">
        </div>
      </div>
    </div>
  </div>
</div>

</body>
</html>
