<?php
include('utils.php');
include('config.php');
include('controllers/Etudiants.php');

cas_auth();

$uid     = eolephpCAS::getUser();

$error   = array();
$success = array();

$query = "SELECT * FROM `etudiants` WHERE `id`=".$uid;
$result  = $mysqli->query($query);

if (!$result) $error[] = "Erreur avec la base de données";

if($result->num_rows != 0){
  $etudiant = $result->fetch_array(MYSQLI_ASSOC);
} else
  $error[] = "Profil inexistant";

if (isset($_POST['submit'])){

  if (empty($_POST['prenom'])) $error[] = "Le prénom n'est pas renseigné";
  else $etudiant['prenom'] = $_POST['prenom'];

  if (empty($_POST['nom'])) $error[] = "Le nom n'est pas renseigné";
  else $etudiant['nom'] = $_POST['nom'];

  if (empty($_POST['mail'])) $error[] = "L'adresse mail n'est pas renseignée";
  else {
    if (preg_match("/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/", $_POST['mail']))
      $etudiant['mail'] = $_POST['mail'];
    else $error[] = "L'addresse mail n'est pas valide";
  }

  if (empty($_POST['password']) && empty($_POST['password_confirmation'])) $etudiant['password'] = $etudiant['password'];
  elseif ($_POST['password'] != $_POST['password_confirmation']) $error[] = "Les deux mots de passe sont différents";
  else $etudiant['password'] = $_POST['password'];

  if(empty($error)){
    $query_update_user = "UPDATE `etudiants` SET ";
    $query_update_user.= "prenom=?, nom=?, mail=?, password=? ";
    $query_update_user.= "WHERE id=? ;";

    $stmt = $mysqli->prepare($query_update_user);
    $stmt->bind_param('ssssd', $etudiant['prenom'], $etudiant['nom'], $etudiant['mail'], $etudiant['password'], $uid);
    $result_update_user = $stmt->execute();

    if(!$result_update_user) $error[] = "Erreur dans l'execution de la requête";

    if($stmt->affected_rows == 1){

      // Mise à jour de LDAP
      $etudiants = new Etudiants();
      $etudiants->modify(LDAP_DN_ADMIN,
                      $etudiant['id'],
                      $etudiant['ine'],
                      $etudiant['prenom'],
                      $etudiant['nom'],
                      $etudiant['mail'],
                      $etudiant['password']);
      $etudiants->disconnect();

      // Mise à jour de la session posh
      $_SESSION['phpCAS']['attributes']['infos']['displayName'][0] = $etudiant['mail'];

      $success[] = "Le profil a correctement été mis à jour";
    } else $success[] = "Pas de modifications à enregistrer";
    $stmt->close();
  }
  $mysqli->close();
}

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>Inscription</title>
  <link rel="stylesheet" type="text/css" href="/pve/css/bootstrap.min.css" />
  <link rel="stylesheet" type="text/css" href="/pve/css/pve.css" />
  <script type="text/javascript" src="/pve/js/jquery.min.js"></script>
  <script type="text/javascript" src="/pve/js/bootstrap.min.js"></script>
</head>
<body>

<div class="container">
  <div class="row">
    <div class="col-md-5 toppad  pull-right col-md-offset-3 ">
    </div>
    <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8 col-xs-offset-0 col-sm-offset-0 col-md-offset-2 col-lg-offset-2 toppad">
      <div class="panel panel-primary">
        <div class="panel-heading">
          <h3 class="panel-title">Edition du profil</h3>
        </div>
        <div class="panel-body">
          <div class="row">
            <div align="center" class="col-md-3 col-lg-3 ">
              <img class="img-circle" src="/pve/images/user.jpg" alt="User Pic">
            </div>
            <div class=" col-md-9 col-lg-9 ">

              <form action="profile.php" method="post" class="form-horizontal">
                <fieldset>
                  <!--legend>Inscription</legend-->

                  <?php foreach ($error as $key => $value) { ?>
                    <div class="alert alert-dismissable alert-danger">
                      <button data-dismiss="alert" class="close" type="button">×</button>
                      <strong>Erreur</strong> <?php echo $value ?>
                    </div>
                  <?php } ?>

                  <?php foreach ($success as $key => $value) { ?>
                    <div class="alert alert-dismissable alert-success">
                      <button data-dismiss="alert" class="close" type="button">×</button>
                      <?php echo $value ?>
                    </div>
                  <?php } ?>

                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="ine">Numéro INE</label>
                    <div class="col-lg-9">
                      <input type="number" placeholder="Numéro INE" id="ine" class="form-control" name="ine" value="<?= $etudiant['ine'] ?>" disabled="disabled">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="prenom">Prénom</label>
                    <div class="col-lg-9">
                      <input type="text" placeholder="Prénom" id="prenom" class="form-control" name="prenom" value="<?= $etudiant['prenom'] ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="nom">Nom</label>
                    <div class="col-lg-9">
                      <input type="text" placeholder="Nom" id="nom" class="form-control" name="nom" value="<?= $etudiant['nom'] ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="mail">Email</label>
                    <div class="col-lg-9">
                      <input type="mail" placeholder="Email" id="mail" class="form-control" name="mail" value="<?= $etudiant['mail'] ?>">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="password">Password</label>
                    <div class="col-lg-9">
                      <input type="password" placeholder="Password" id="password" class="form-control" name="password">
                    </div>
                  </div>
                  <div class="form-group">
                    <label class="col-lg-3 control-label" for="password_confirmation">Password Confirmation</label>
                    <div class="col-lg-9">
                    <input type="password" placeholder="Password Confirmation" id="password_confirmation" class="form-control" name="password_confirmation">
                    </div>
                  </div>
                  <div class="form-group">
                    <div class="col-lg-9 col-lg-offset-3">
                      <a href="/" class="btn btn-default">&lt; Retour au portail</a>
                      <button class="btn btn-primary" type="submit" name="submit">Modifier mon profil</button>
                    </div>
                  </div>
                </fieldset>
              </form>

            </div>
          </div>
        </div>
        <div class="panel-footer">
        </div>
      </div>
    </div>
  </div>
</div>

</body>
</html>
