<?php
namespace Cnous\PveBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use Cnous\PveBundle\DataFixtures\ORM\LoadCsvData;

abstract class LoadBasicNData extends LoadCsvData
{

    protected function _load(ObjectManager $manager, $entityClass)
    {
        $factory = new \ReflectionClass($entityClass);
        $dateRegex = '/^\d{2}\/\d{2}\/(\d{2}|\d{4})$/';

        $fixtures = $this->getModelFixtures();

        foreach($fixtures as $f) {

          $dateOuverture = $dateFermeture = NULL;

          $dateOuverture = !preg_match($dateRegex, $f['Date ouverture']) ?
            NULL :
            \DateTime::createFromFormat('d/m/y', $f['Date ouverture']);

          $dateFermeture = !preg_match($dateRegex, $f['Date fermeture']) ?
            NULL :
            \DateTime::createFromFormat('d/m/Y', $f['Date fermeture']);

          $entity = $factory->newInstance();
          $entity->setCode($f['Code']);
          $entity->setLibelleLong($f['Libellé long']);
          $entity->setLibelleCourt($f['Libellé court']);
          $entity->setDateOuverture($dateOuverture);
          $entity->setDateFermeture($dateFermeture);

          $manager->persist($entity);

        }

        $manager->flush();

    }

}
