<?php
namespace Cnous\PveBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\AbstractFixture;

abstract class LoadCsvData extends AbstractFixture
{
    /**
     * Return the file for the current model.
     */
    abstract function getModelFile();

    public function getModelFixtures()
    {
        $fixturesPath = realpath(dirname(__FILE__). '/../CSV');
        $fixturesPath .=  '/' . $this->getModelFile(). '.csv';
        $fixtures = array();
        $headers = array();
        if (($handle = fopen($fixturesPath, "r")) !== false) {
            $isHeaders = true;
            while (($row = fgetcsv($handle, null, ";")) !== false) {
                if ($isHeaders) {
                  $headers = $row; // On récupère les entêtes des colonnes
                  $isHeaders = false;
                  continue;
                }
                $fixtures[] = array_combine($headers, $row);
            }
            fclose($handle);
        }
        return $fixtures;
    }
}
