<?php
namespace Cnous\PveBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use Cnous\PveBundle\DataFixtures\ORM\LoadCsvData;
use Cnous\PveBundle\Entity\NAcademie;

class LoadNAcademieData extends LoadCsvData implements OrderedFixtureInterface
{

    public function load(ObjectManager $manager)
    {
        $dateRegex = '/^\d{2}\/\d{2}\/(\d{2}|\d{4})$/';

        $fixtures = $this->getModelFixtures();

        foreach($fixtures as $f) {

          $dateOuverture = $dateFermeture = NULL;

          $dateOuverture = !preg_match($dateRegex, $f['Date ouverture']) ?
            NULL :
            \DateTime::createFromFormat('d/m/y', $f['Date ouverture']);

          $dateFermeture = !preg_match($dateRegex, $f['Date fermeture']) ?
            NULL :
            \DateTime::createFromFormat('d/m/Y', $f['Date fermeture']);

          $p = new NAcademie();
          $p->setCode($f['Code']);
          $p->setLibelleLong($f['Libellé long']);
          $p->setLibelleCourt($f['Libellé court']);
          $p->setDateOuverture($dateOuverture);
          $p->setDateFermeture($dateFermeture);

          $manager->persist($p);
          $manager->flush();

          $this->addReference('NAcademie_' . $p->getCode(), $p);

        }



    }

    /**
    * The main fixtures file for this loader.
    */
    public function getModelFile()
    {
        return 'NAcademie';
    }

    /**
     * {@inheritDoc}
     */
    public function getOrder()
    {
        return 1; // the order in which fixtures will be loaded
    }

}
