<?php
namespace Cnous\PveBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use Cnous\PveBundle\DataFixtures\ORM\LoadCsvData;
use Cnous\PveBundle\Entity\NCrousAcademie;
use Cnous\PveBundle\Entity\NCrous;
use Cnous\PveBundle\Entity\NAcademie;

class LoadNCrousAcademieData extends LoadCsvData implements OrderedFixtureInterface
{

    public function load(ObjectManager $manager)
    {
        $dateRegex = '/^\d{2}\/\d{2}\/(\d{2}|\d{4})$/';

        $fixtures = $this->getModelFixtures();

        foreach($fixtures as $f) {

          $dateOuverture = $dateFermeture = NULL;

          $dateOuverture = !preg_match($dateRegex, $f['Date ouverture']) ?
            NULL :
            \DateTime::createFromFormat('d/m/y', $f['Date ouverture']);

          $dateFermeture = !preg_match($dateRegex, $f['Date fermeture']) ?
            NULL :
            \DateTime::createFromFormat('d/m/Y', $f['Date fermeture']);

          $p = new NCrousAcademie();

          $p->setAcademie($this->getReference('NAcademie_' . $f['Code Académie']));
          $p->setCrous($this->getReference('NCrous_' . $f['Code CROUS']));
          $p->setDateOuverture($dateOuverture);
          $p->setDateFermeture($dateFermeture);

          $manager->persist($p);

        }

        $manager->flush();

    }

    /**
    * The main fixtures file for this loader.
    */
    public function getModelFile()
    {
        return 'NCrousAcademie';
    }

    /**
     * {@inheritDoc}
     */
    public function getOrder()
    {
        return 2; // the order in which fixtures will be loaded
    }

}
