<?php
namespace Cnous\PveBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use Cnous\PveBundle\DataFixtures\ORM\LoadCsvData;
use Cnous\PveBundle\Entity\NEtablissement;

class LoadNEtablissementData extends LoadCsvData implements OrderedFixtureInterface
{

    public function load(ObjectManager $manager)
    {
        $fixtures = $this->getModelFixtures();

        foreach($fixtures as $f) {

          $dateOuverture = empty($f['DATE_OUVERTURE']) ?
            NULL :
            \DateTime::createFromFormat('d/m/Y', $f['DATE_OUVERTURE']);

          $dateFermeture = empty($f['DATE_FERMETURE']) ?
            NULL :
            \DateTime::createFromFormat('d/m/Y', $f['DATE_FERMETURE']);

          $p = new NEtablissement();
          $p->setUai($f['UAI']);
          $p->setBase36($f['  Base36']);
          $p->setLibelleEtablissement($f['Libellé établissement']);
          $p->setAcademie($this->getReference('NAcademie_' . $f['Académie']));
          $p->setNomUsage($f['Nom d’usage']);
          $p->setInstitutCatholique($f['Instituts Catholiques'] == 'O' ? true : false);
          $p->setDateOuverture($dateOuverture);
          $p->setDateFermeture($dateFermeture);

          $manager->persist($p);

        }

        $manager->flush();

    }

    /**
    * The main fixtures file for this loader.
    */
    public function getModelFile()
    {
        return 'NEtablissement';
    }

    /**
     * {@inheritDoc}
     */
    public function getOrder()
    {
        return 2; // the order in which fixtures will be loaded
    }

}
