<?php
namespace Cnous\PveBundle\DataFixtures\ORM;

use Doctrine\Common\DataFixtures\OrderedFixtureInterface;
use Doctrine\Common\Persistence\ObjectManager;
use Cnous\PveBundle\DataFixtures\ORM\LoadCsvData;
use Cnous\PveBundle\Entity\NPays;

class LoadNPaysData extends LoadCsvData
{

    public function load(ObjectManager $manager)
    {
        $fixtures = $this->getModelFixtures();

        foreach($fixtures as $f) {

          $dateOuverture = empty($f['DATE_OUVERTURE']) ?
            NULL :
            \DateTime::createFromFormat('d/m/Y', $f['DATE_OUVERTURE']);

          $dateFermeture = empty($f['DATE_FERMETURE']) ?
            NULL :
            \DateTime::createFromFormat('d/m/Y', $f['DATE_FERMETURE']);

          $p = new NPays();
          $p->setCodeBCN($f['PAYS']);
          $p->setCodeINSEE("99" . $f['PAYS']);
          $p->setLibelleLong($f['LIBELLE_LONG']);
          $p->setLibelleCourt($f['LIBELLE_COURT']);
          $p->setDateOuverture($dateOuverture);
          $p->setDateFermeture($dateFermeture);

          $manager->persist($p);

        }

        $manager->flush();

    }

    /**
    * The main fixtures file for this loader.
    */
    public function getModelFile()
    {
        return 'NPays';
    }

}
