<?php

namespace Cnous\PveBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * INEEtudiant
 *
 * @ORM\Table()
 * @ORM\Entity
 */
class INEEtudiant
{

    /**
     * @ORM\ManyToOne(targetEntity="Etudiant", inversedBy="ines")
     * @ORM\JoinColumn(name="idEtudiantPVE", referencedColumnName="idEtudiantPVE")
     */
    protected $etudiant;

    /**
     * @var string
     *
     * @ORM\Column(name="ine", type="string", length=11)
     * @ORM\Id
     *
     */
    protected $ine;

    /**
     * @ORM\ManyToOne(targetEntity="NAuteurProfil", inversedBy="ines", cascade={"merge"})
     * @ORM\JoinColumn(name="auteurMAJ", referencedColumnName="code")
     */
    protected $auteurMAJ;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateMAJ", type="datetime")
     */
    protected $dateMAJ;

    public function __construct() {
      $this->dateMAJ = new \DateTime('now');
    }

    /**
     * Set id
     *
     * @param $id
     * @return PJInscription
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set ine
     *
     * @param string $ine
     * @return INEEtudiant
     */
    public function setIne($ine)
    {
        $this->ine = $ine;

        return $this;
    }

    /**
     * Get ine
     *
     * @return string
     */
    public function getIne()
    {
        return $this->ine;
    }

    /**
     * Set dateMAJ
     *
     * @param \DateTime $dateMAJ
     * @return INEEtudiant
     */
    public function setDateMAJ($dateMAJ)
    {
        $this->dateMAJ = $dateMAJ;

        return $this;
    }

    /**
     * Get dateMAJ
     *
     * @return \DateTime
     */
    public function getDateMAJ()
    {
        return $this->dateMAJ;
    }

    /**
     * Set etudiant
     *
     * @param \Cnous\PveBundle\Entity\Etudiant $etudiant
     * @return INEEtudiant
     */
    public function setEtudiant(\Cnous\PveBundle\Entity\Etudiant $etudiant)
    {
        $this->etudiant = $etudiant;

        return $this;
    }

    /**
     * Get etudiant
     *
     * @return \Cnous\PveBundle\Entity\Etudiant
     */
    public function getEtudiant()
    {
        return $this->etudiant;
    }

    /**
     * Set auteurMAJ
     *
     * @param \Cnous\PveBundle\Entity\NAuteurProfil $auteurMAJ
     * @return INEEtudiant
     */
    public function setAuteurMAJ(\Cnous\PveBundle\Entity\NAuteurProfil $auteurMAJ = null)
    {
        $this->auteurMAJ = $auteurMAJ;

        return $this;
    }

    /**
     * Get auteurMAJ
     *
     * @return \Cnous\PveBundle\Entity\NAuteurProfil
     */
    public function getAuteurMAJ()
    {
        return $this->auteurMAJ;
    }
}
