<?php

namespace Cnous\PveBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * InterventionSupport
 *
 * @ORM\Table()
 * @ORM\Entity
 */
class InterventionSupport
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @ORM\ManyToOne(targetEntity="NEtatInterventionSupport", inversedBy="interventionSupports")
     * @ORM\JoinColumn(name="etat", referencedColumnName="code")
     */
    private $etat;

    /**
     * @ORM\ManyToOne(targetEntity="Usager", inversedBy="interventionSupports")
     * @ORM\JoinColumn(name="idPVE", referencedColumnName="idPVE")
     */
    private $usager;

    /**
     * @var string
     *
     * @ORM\Column(name="libelleAnomalie", type="string", length=1024)
     */
    private $libelleAnomalie;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateAnomalie", type="datetime")
     */
    private $dateAnomalie;

    /**
     * @var string
     *
     * @ORM\Column(name="profilSessionAnomalie", type="blob")
     */
    private $profilSessionAnomalie;

    /**
     * @var string
     *
     * @ORM\Column(name="libelleResolution", type="string", length=1024)
     */
    private $libelleResolution;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateResolution", type="datetime")
     */
    private $dateResolution;


    /**
     * Get id
     *
     * @return integer 
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set libelleAnomalie
     *
     * @param string $libelleAnomalie
     * @return InterventionSupport
     */
    public function setLibelleAnomalie($libelleAnomalie)
    {
        $this->libelleAnomalie = $libelleAnomalie;

        return $this;
    }

    /**
     * Get libelleAnomalie
     *
     * @return string 
     */
    public function getLibelleAnomalie()
    {
        return $this->libelleAnomalie;
    }

    /**
     * Set dateAnomalie
     *
     * @param \DateTime $dateAnomalie
     * @return InterventionSupport
     */
    public function setDateAnomalie($dateAnomalie)
    {
        $this->dateAnomalie = $dateAnomalie;

        return $this;
    }

    /**
     * Get dateAnomalie
     *
     * @return \DateTime 
     */
    public function getDateAnomalie()
    {
        return $this->dateAnomalie;
    }

    /**
     * Set profilSessionAnomalie
     *
     * @param string $profilSessionAnomalie
     * @return InterventionSupport
     */
    public function setProfilSessionAnomalie($profilSessionAnomalie)
    {
        $this->profilSessionAnomalie = $profilSessionAnomalie;

        return $this;
    }

    /**
     * Get profilSessionAnomalie
     *
     * @return string 
     */
    public function getProfilSessionAnomalie()
    {
        return $this->profilSessionAnomalie;
    }

    /**
     * Set libelleResolution
     *
     * @param string $libelleResolution
     * @return InterventionSupport
     */
    public function setLibelleResolution($libelleResolution)
    {
        $this->libelleResolution = $libelleResolution;

        return $this;
    }

    /**
     * Get libelleResolution
     *
     * @return string 
     */
    public function getLibelleResolution()
    {
        return $this->libelleResolution;
    }

    /**
     * Set dateResolution
     *
     * @param \DateTime $dateResolution
     * @return InterventionSupport
     */
    public function setDateResolution($dateResolution)
    {
        $this->dateResolution = $dateResolution;

        return $this;
    }

    /**
     * Get dateResolution
     *
     * @return \DateTime 
     */
    public function getDateResolution()
    {
        return $this->dateResolution;
    }

    /**
     * Set etat
     *
     * @param \Cnous\PveBundle\Entity\NEtatInterventionSupport $etat
     * @return InterventionSupport
     */
    public function setEtat(\Cnous\PveBundle\Entity\NEtatInterventionSupport $etat = null)
    {
        $this->etat = $etat;

        return $this;
    }

    /**
     * Get etat
     *
     * @return \Cnous\PveBundle\Entity\NEtatInterventionSupport 
     */
    public function getEtat()
    {
        return $this->etat;
    }

    /**
     * Set usager
     *
     * @param \Cnous\PveBundle\Entity\Usager $usager
     * @return InterventionSupport
     */
    public function setUsager(\Cnous\PveBundle\Entity\Usager $usager = null)
    {
        $this->usager = $usager;

        return $this;
    }

    /**
     * Get usager
     *
     * @return \Cnous\PveBundle\Entity\Usager 
     */
    public function getUsager()
    {
        return $this->usager;
    }
}
