<?php

namespace Cnous\PveBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * NAuteurProfil
 *
 * @ORM\Table()
 * @ORM\Entity
 */
class NAuteurProfil
{
    /**
     * @var string
     *
     * @ORM\Column(name="code", type="string", length=20)
     * @ORM\Id
     * @Assert\Length(max=20)
     */
    private $code;

    /**
     * @var string
     *
     * @ORM\Column(name="libelleCourt", type="string", length=20)
     * @Assert\Length(max=20)
     */
    private $libelleCourt;

    /**
     * @var string
     *
     * @ORM\Column(name="libelleLong", type="string", length=40)
     * @Assert\Length(max=40)
     */
    private $libelleLong;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateOuverture", type="date", nullable=true)
     */
    private $dateOuverture;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateFermeture", type="date", nullable=true)
     */
    private $dateFermeture;



    /**
     * Set code
     *
     * @param string $code
     * @return NAuteurProfil
     */
    public function setCode($code)
    {
        $this->code = $code;

        return $this;
    }

    /**
     * Get code
     *
     * @return string
     */
    public function getCode()
    {
        return $this->code;
    }

    /**
     * Set libelleCourt
     *
     * @param string $libelleCourt
     * @return NAuteurProfil
     */
    public function setLibelleCourt($libelleCourt)
    {
        $this->libelleCourt = $libelleCourt;

        return $this;
    }

    /**
     * Get libelleCourt
     *
     * @return string
     */
    public function getLibelleCourt()
    {
        return $this->libelleCourt;
    }

    /**
     * Set libelleLong
     *
     * @param string $libelleLong
     * @return NAuteurProfil
     */
    public function setLibelleLong($libelleLong)
    {
        $this->libelleLong = $libelleLong;

        return $this;
    }

    /**
     * Get libelleLong
     *
     * @return string
     */
    public function getLibelleLong()
    {
        return $this->libelleLong;
    }

    /**
     * Set dateOuverture
     *
     * @param \DateTime $dateOuverture
     * @return NAuteurProfil
     */
    public function setDateOuverture($dateOuverture)
    {
        $this->dateOuverture = $dateOuverture;

        return $this;
    }

    /**
     * Get dateOuverture
     *
     * @return \DateTime
     */
    public function getDateOuverture()
    {
        return $this->dateOuverture;
    }

    /**
     * Set dateFermeture
     *
     * @param \DateTime $dateFermeture
     * @return NAuteurProfil
     */
    public function setDateFermeture($dateFermeture)
    {
        $this->dateFermeture = $dateFermeture;

        return $this;
    }

    /**
     * Get dateFermeture
     *
     * @return \DateTime
     */
    public function getDateFermeture()
    {
        return $this->dateFermeture;
    }
}
