<?php

namespace Cnous\PveBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * NCrousAcademie
 *
 * @ORM\Table()
 * @ORM\Entity
 */
class NCrousAcademie
{
    /**
     * @ORM\ManyToOne(targetEntity="NCrous", inversedBy="crousAcademies_associations")
     * @ORM\JoinColumn(name="codeCrous", referencedColumnName="code")
     * @ORM\Id
     */
    private $crous;

    /**
     * @ORM\ManyToOne(targetEntity="NAcademie", inversedBy="crousAcademie_associations")
     * @ORM\JoinColumn(name="codeAcademie", referencedColumnName="code")
     * @ORM\Id
     */
    private $academie;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateOuverture", type="date", nullable=true)
     */
    private $dateOuverture;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateFermeture", type="date", nullable=true)
     */
    private $dateFermeture;


    /**
     * Set dateOuverture
     *
     * @param \DateTime $dateOuverture
     * @return NCrousAcademie
     */
    public function setDateOuverture($dateOuverture)
    {
        $this->dateOuverture = $dateOuverture;

        return $this;
    }

    /**
     * Get dateOuverture
     *
     * @return \DateTime
     */
    public function getDateOuverture()
    {
        return $this->dateOuverture;
    }

    /**
     * Set dateFermeture
     *
     * @param \DateTime $dateFermeture
     * @return NCrousAcademie
     */
    public function setDateFermeture($dateFermeture)
    {
        $this->dateFermeture = $dateFermeture;

        return $this;
    }

    /**
     * Get dateFermeture
     *
     * @return \DateTime
     */
    public function getDateFermeture()
    {
        return $this->dateFermeture;
    }

    /**
     * Set crous
     *
     * @param \Cnous\PveBundle\Entity\NCrous $crous
     * @return NCrousAcademie
     */
    public function setCrous(\Cnous\PveBundle\Entity\NCrous $crous)
    {
        $this->crous = $crous;

        return $this;
    }

    /**
     * Get crous
     *
     * @return \Cnous\PveBundle\Entity\NCrous
     */
    public function getCrous()
    {
        return $this->crous;
    }

    /**
     * Set academie
     *
     * @param \Cnous\PveBundle\Entity\NAcademie $academie
     * @return NCrousAcademie
     */
    public function setAcademie(\Cnous\PveBundle\Entity\NAcademie $academie)
    {
        $this->academie = $academie;

        return $this;
    }

    /**
     * Get academie
     *
     * @return \Cnous\PveBundle\Entity\NAcademie
     */
    public function getAcademie()
    {
        return $this->academie;
    }
}
