<?php

namespace Cnous\PveBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * NEtablissement
 *
 * @ORM\Table()
 * @ORM\Entity
 */
class NEtablissement
{
    /**
     * @var string
     *
     * @ORM\Column(name="uai", type="string", length=8)
     * @ORM\Id
     * @Assert\Length(max=8)
     */
    private $uai;

    /**
     * @var string
     *
     * @ORM\Column(name="base36", type="string", length=5)
     * @Assert\Length(max=5)
     */
    private $base36;

    /**
     * @ORM\ManyToOne(targetEntity="NAcademie", inversedBy="etablissements")
     * @ORM\JoinColumn(name="academie", referencedColumnName="code")
     */
    private $academie;

    /**
     * @var string
     *
     * @ORM\Column(name="libelleEtablissement", type="string", length=100)
     * @Assert\Length(max=100)
     */
    private $libelleEtablissement;

    /**
     * @var string
     *
     * @ORM\Column(name="nomUsage", type="string", length=50)
     * @Assert\Length(max=50)
     */
    private $nomUsage;

    /**
     * @var boolean
     *
     * @ORM\Column(name="institutCatholique", type="boolean")
     */
    private $institutCatholique;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateOuverture", type="date", nullable=true)
     */
    private $dateOuverture;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateFermeture", type="date", nullable=true)
     */
    private $dateFermeture;


    /**
     * Set uai
     *
     * @param string $uai
     * @return NEtablissement
     */
    public function setUai($uai)
    {
        $this->uai = $uai;

        return $this;
    }

    /**
     * Get uai
     *
     * @return string
     */
    public function getUai()
    {
        return $this->uai;
    }

    /**
     * Set base36
     *
     * @param string $base36
     * @return NEtablissement
     */
    public function setBase36($base36)
    {
        $this->base36 = $base36;

        return $this;
    }

    /**
     * Get base36
     *
     * @return string
     */
    public function getBase36()
    {
        return $this->base36;
    }

    /**
     * Set libelleEtablissement
     *
     * @param string $libelleEtablissement
     * @return NEtablissement
     */
    public function setLibelleEtablissement($libelleEtablissement)
    {
        $this->libelleEtablissement = $libelleEtablissement;

        return $this;
    }

    /**
     * Get libelleEtablissement
     *
     * @return string
     */
    public function getLibelleEtablissement()
    {
        return $this->libelleEtablissement;
    }

    /**
     * Set nomUsage
     *
     * @param string $nomUsage
     * @return NEtablissement
     */
    public function setNomUsage($nomUsage)
    {
        $this->nomUsage = $nomUsage;

        return $this;
    }

    /**
     * Get nomUsage
     *
     * @return string
     */
    public function getNomUsage()
    {
        return $this->nomUsage;
    }

    /**
     * Set institutCatholique
     *
     * @param boolean $institutCatholique
     * @return NEtablissement
     */
    public function setInstitutCatholique($institutCatholique)
    {
        $this->institutCatholique = $institutCatholique;

        return $this;
    }

    /**
     * Get institutCatholique
     *
     * @return boolean
     */
    public function getInstitutCatholique()
    {
        return $this->institutCatholique;
    }

    /**
     * Set dateOuverture
     *
     * @param \DateTime $dateOuverture
     * @return NEtablissement
     */
    public function setDateOuverture($dateOuverture)
    {
        $this->dateOuverture = $dateOuverture;

        return $this;
    }

    /**
     * Get dateOuverture
     *
     * @return \DateTime
     */
    public function getDateOuverture()
    {
        return $this->dateOuverture;
    }

    /**
     * Set dateFermeture
     *
     * @param \DateTime $dateFermeture
     * @return NEtablissement
     */
    public function setDateFermeture($dateFermeture)
    {
        $this->dateFermeture = $dateFermeture;

        return $this;
    }

    /**
     * Get dateFermeture
     *
     * @return \DateTime
     */
    public function getDateFermeture()
    {
        return $this->dateFermeture;
    }

    /**
     * Set academie
     *
     * @param \Cnous\PveBundle\Entity\NAcademie $academie
     * @return NEtablissement
     */
    public function setAcademie(\Cnous\PveBundle\Entity\NAcademie $academie = null)
    {
        $this->academie = $academie;

        return $this;
    }

    /**
     * Get academie
     *
     * @return \Cnous\PveBundle\Entity\NAcademie
     */
    public function getAcademie()
    {
        return $this->academie;
    }
}
