<?php

namespace Cnous\PveBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Doctrine\Common\Collections\ArrayCollection;
use Symfony\Component\Validator\Constraints as Assert;
use Symfony\Bridge\Doctrine\Validator\Constraints\UniqueEntity;

/**
 * NPays
 *
 * @ORM\Table()
 * @ORM\Entity(repositoryClass="Cnous\PveBundle\Repository\NPaysRepository")
 * @UniqueEntity("codeBCN")
 */
class NPays
{

    /**
     * @var string
     *
     * @ORM\Column(name="codeBCN", type="string", length=3)
     * @ORM\Id
     * @Assert\Length(max=3)
     * )
     */
    private $codeBCN;

    /**
     * @var string
     *
     * @ORM\Column(name="codeINSEE", type="string", length=5)
     * @Assert\Length(max=5)
     */
    private $codeINSEE;

    /**
     * @var string
     *
     * @ORM\Column(name="libelleCourt", type="string", length=30)
     * @Assert\Length(max=30)
     */
    private $libelleCourt;

    /**
     * @var string
     *
     * @ORM\Column(name="libelleLong", type="string", length=40)
     * @Assert\Length(max=40)
     */
    private $libelleLong;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateOuverture", type="date", nullable=true)
     */
    private $dateOuverture;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="dateFermeture", type="date", nullable=true)
     */
    private $dateFermeture;


    /**
     * Set codeBCN
     *
     * @param string $codeBCN
     * @return NPays
     */
    public function setCodeBCN($codeBCN)
    {
        $this->codeBCN = $codeBCN;

        return $this;
    }

    /**
     * Get codeBCN
     *
     * @return string
     */
    public function getCodeBCN()
    {
        return $this->codeBCN;
    }

    /**
     * Set codeINSEE
     *
     * @param string $codeINSEE
     * @return NPays
     */
    public function setCodeINSEE($codeINSEE)
    {
        $this->codeINSEE = $codeINSEE;

        return $this;
    }

    /**
     * Get codeINSEE
     *
     * @return string
     */
    public function getCodeINSEE()
    {
        return $this->codeINSEE;
    }

    /**
     * Set libelleCourt
     *
     * @param string $libelleCourt
     * @return NPays
     */
    public function setLibelleCourt($libelleCourt)
    {
        $this->libelleCourt = $libelleCourt;

        return $this;
    }

    /**
     * Get libelleCourt
     *
     * @return string
     */
    public function getLibelleCourt()
    {
        return $this->libelleCourt;
    }

    /**
     * Set libelleLong
     *
     * @param string $libelleLong
     * @return NPays
     */
    public function setLibelleLong($libelleLong)
    {
        $this->libelleLong = $libelleLong;

        return $this;
    }

    /**
     * Get libelleLong
     *
     * @return string
     */
    public function getLibelleLong()
    {
        return $this->libelleLong;
    }

    /**
     * Set dateOuverture
     *
     * @param \DateTime $dateOuverture
     * @return NPays
     */
    public function setDateOuverture($dateOuverture)
    {
        $this->dateOuverture = $dateOuverture;

        return $this;
    }

    /**
     * Get dateOuverture
     *
     * @return \DateTime
     */
    public function getDateOuverture()
    {
        return $this->dateOuverture;
    }

    /**
     * Set dateFermeture
     *
     * @param \DateTime $dateFermeture
     * @return NPays
     */
    public function setDateFermeture($dateFermeture)
    {
        $this->dateFermeture = $dateFermeture;

        return $this;
    }

    /**
     * Get dateFermeture
     *
     * @return \DateTime
     */
    public function getDateFermeture()
    {
        return $this->dateFermeture;
    }
}
