<?php

namespace Cnous\PveBundle\Entity;

use Doctrine\ORM\Mapping as ORM;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * PJInscription
 *
 * @ORM\Table()
 * @ORM\Entity
 */
class PJInscription
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    protected $id;

    /**
     * @ORM\ManyToOne(targetEntity="Usager", inversedBy="pJInscriptions")
     * @ORM\JoinColumn(name="idPVE", referencedColumnName="idPVE")
     */
    protected $usager;

    /**
     * @var string
     *
     * @ORM\Column(name="pieceJustificative", type="blob")
     * @Assert\NotBlank()
     */
    protected $pieceJustificative;

    /**
     * @var string
     *
     * @ORM\Column(name="mimeType", type="string", nullable=true)
     */
    protected $mimeType;


    /**
     * Set id
     *
     * @param $id
     * @return PJInscription
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set pieceJustificative
     *
     * @param string $pieceJustificative
     * @return PJInscription
     */
    public function setPieceJustificative($pieceJustificative)
    {
        $this->pieceJustificative = $pieceJustificative;

        return $this;
    }

    /**
     * Get pieceJustificative
     *
     * @return string
     */
    public function getPieceJustificative()
    {
        return $this->pieceJustificative;
    }

    /**
     * Set usager
     *
     * @param \Cnous\PveBundle\Entity\Usager $usager
     * @return PJInscription
     */
    public function setUsager(\Cnous\PveBundle\Entity\Usager $usager)
    {
        $this->usager = $usager;

        return $this;
    }

    /**
     * Get usager
     *
     * @return \Cnous\PveBundle\Entity\Usager
     */
    public function getUsager()
    {
        return $this->usager;
    }

    /**
     * Set mimeType
     *
     * @param $mimeType
     * @return PJInscription
     */
    public function setMimeType($mimeType)
    {
        $this->mimeType = $mimeType;

        return $this;
    }

    /**
     * Get mimeType
     *
     * @return string
     */
    public function getMimeType()
    {
        return $this->mimeType;
    }


    public function __toString()
    {
        return strval($this->id);
    }

}
