<?php

namespace Cnous\PveBundle\Form\Model;

use Symfony\Component\Validator\Constraints as Assert;
use Cnous\PveBundle\Entity\Usager;
use Cnous\PveBundle\Entity\Etudiant;
use Cnous\PveBundle\Entity\INEEtudiant;
use Cnous\PveBundle\Entity\PJInscription;

class ProfileRegistration
{

    /**
     * @var Usager
     *
     * @Assert\Type(type="Cnous\PveBundle\Entity\Usager")
     * @Assert\Valid
     */
    protected $usager;

    /**
     * @var Etudiant
     *
     * @Assert\Type(type="Cnous\PveBundle\Entity\Etudiant")
     * @Assert\Valid
     */
    protected $etudiant;

    public function __construct($registrationType) {

      if($registrationType == 'etudiant') {

        $etudiant = new Etudiant();
        $etudiant->addInes(new INEEtudiant());
        $this->setEtudiant($etudiant);

        $usager = new Usager();
        $usager->addPJInscription(new PJInscription());
        $usager->addPJInscription(new PJInscription());
        $etudiant->setUsager($usager);
        
      }

    }

    public function setUsager(Usager $usager)
    {
        $this->usager = $usager;
    }

    public function getUsager()
    {
        return $this->usager;
    }

    public function setEtudiant(Etudiant $etudiant)
    {
        $this->etudiant = $etudiant;
    }

    public function getEtudiant()
    {
        return $this->etudiant;
    }
}
