<?php
namespace Cnous\PveBundle\Form\Transformer;

use Symfony\Component\Form\DataTransformerInterface;
use Cnous\PveBundle\Entity\PJInscription;

class PJInscriptionToStringTransformer implements DataTransformerInterface
{

    /**
     * Transforms an object (PJInscription) to a string (str).
     *
     * @param  PJInscription|null $ineEtudiant
     * @return string
     */
    public function transform($pjInscription)
    {
        if (null === $pjInscription) {
            return "";
        }

        return $pjInscription->getPieceJustificative();
    }

    /**
     * Transforms an UploadedFile (file) to an object (pjInscription).
     *
     * @param  \UploadedFile $file
     *
     * @return PJInscription|null
     *
     */
    public function reverseTransform($file)
    {
        if (!$file) {
          return null;
        }

        $pjInscription = new PJInscription();
        $pathname = $file->getPathname();

        if(!empty($pathname)) {
          $content = file_get_contents($pathname);
          $pjInscription->setPieceJustificative($content);
          $pjInscription->setMimeType($file->getMimeType());
        }

        return $pjInscription;
    }
}
