<?php

namespace Cnous\PveBundle\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Cnous\PveBundle\Form\Type\UsagerType;
use Cnous\PveBundle\Form\Type\EtudiantType;
use Symfony\Component\Validator\Constraints\NotBlank;
use Symfony\Component\Form\FormEvent;
use Symfony\Component\Form\FormEvents;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;

class ProfileRegistrationType extends AbstractType
{
    private $registrationType;
    private $validator;

    public function __construct($registrationType = '') {
      $this->registrationType = $registrationType;
    }

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
      $registrationType = $this->registrationType;

      switch ($registrationType) {
        case "usager":
          $builder->add('usager', new UsagerType($registrationType), array(
            'cascade_validation' => true
          ));
          break;
        case "etudiant":
          $builder->add('etudiant', new EtudiantType($registrationType), array(
            'cascade_validation' => true
          ));
          break;
      }

      $builder->add('submit', 'submit', array(
        'label' => "S'enregistrer"
      ));

    }

    public function getName()
    {
        return 'profile_registration';
    }

    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
      $resolver->setDefaults(array(
        'data_class' => 'Cnous\PveBundle\Form\Model\ProfileRegistration',
        'cascade_validation' => true
      ));
    }

}
