<?php

namespace Cnous\PveBundle\Form\Type;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Cnous\PveBundle\Entity;
use Cnous\PveBundle\Repository\NPaysRepository;
use Symfony\Component\Form\FormInterface;

class RepresentantLegalType extends AbstractType
{

  public function buildForm(FormBuilderInterface $builder, array $options)
  {

    $pays_query_builder = function(NPaysRepository $npr) {
      return $npr->buildAllOrderedByLibelleLong();
    };

    $builder->add('civilite', 'entity', array(
      'label' => 'Civilité',
      'class' => 'CnousPveBundle:NCivilite',
      'property' => 'libelleCourt',
      'required' => true
    ));

    $builder->add('nom', 'text', array(
      'label' => 'Nom',
      'required' => true
    ));

    $builder->add('prenom', 'text', array(
      'label' => 'Prénom',
      'required' => true
    ));

    $builder->add('telephone1', 'text', array(
      'label' => 'Téléphone 1',
      'required' => true
    ));

    $builder->add('telephone2', 'text', array(
      'label' => 'Téléphone 2',
      'required' => false
    ));

    $builder->add('adresseVoie', 'text', array(
      'label' => 'Adresse voie',
      'required' => true
    ));

    $builder->add('adresseComplement1', 'text', array(
      'label' => 'Adresse complément 1',
      'required' => false
    ));

    $builder->add('adresseComplement2', 'text', array(
      'label' => 'Adresse complément 2',
      'required' => false
    ));

    $builder->add('adresseLocalite', 'text', array(
      'label' => 'Ville',
      'required' => true
    ));

    $builder->add('adresseCodePostal', 'text', array(
      'label' => 'Code postal',
      'required' => false
    ));

    $builder->add('pays', 'entity', array(
      'label' => 'Pays',
      'class' => 'CnousPveBundle:NPays',
      'property' => 'libelleLong',
      'query_builder' => $pays_query_builder,
      'required' => true
    ));

    $builder->add('mail', 'email', array(
      'label' => 'Email',
      'required' => false
    ));
  }

  public function setDefaultOptions(OptionsResolverInterface $resolver)
  {
    $resolver->setDefaults(array(
      'data_class' => 'Cnous\PveBundle\Entity\RepresentantLegal',
      'cascade_validation' => true,
      'validation_groups' => function(FormInterface $form) {
        $representant = $form->getData();
        $groups = $representant->isCompleted() ? array('Default') : array('NotCompleted');
        return $groups;
      }
    ));
  }

  public function getName()
  {
    return 'representantLegal';
  }
}
