<?php

namespace Cnous\PveBundle\Service;

/**
 * @Annotation
 */
class LDAPService
{

    protected $host;
    protected $port;
    protected $baseDN;
    protected $user = null;
    protected $password = null;

    public function __construct($host, $port)
    {
      $this->host = $host;
      $this->port = $port;
    }

    public function connect() {
      $connection = ldap_connect($this->host, $this->port);
      ldap_set_option($connection, LDAP_OPT_PROTOCOL_VERSION, 3);
      ldap_bind($connection, $this->user, $this->password);
      return $connection;
    }

    public function search($filter, $attributes) {
      $connection = $this->connect();
      $search = ldap_search($connection, $this->baseDN, $filter, $attributes);
      $data = ldap_get_entries($connection, $search);
      ldap_close($connection);
      return $data;
    }

    public function getUser() {
      return $this->user;
    }

    public function setUser($user) {
      $this->user = $user;
      return $this;
    }

    public function getPassword() {
      return $this->password;
    }

    public function setPassword($password) {
      $this->password = $password;
      return $this;
    }

    public function getBaseDN() {
      return $this->baseDN;
    }

    public function setBaseDN($baseDN) {
      $this->baseDN = $baseDN;
      return $this;
    }

}
