<?php
namespace Cnous\PveBundle\Tests\Validator;

use Symfony\Bundle\FrameworkBundle\Test\WebTestCase;
use Cnous\PveBundle\Validator\Constraints\ValidINE;

class ValidINETest extends WebTestCase
{
  /**
   * {@inheritDoc}
   */
  public function setUp()
  {
    static::$kernel = static::createKernel();
    static::$kernel->boot();
  }

  /**
   * @dataProvider validINEProvider
   */
  public function testValidINE($ine)
  {

    $validator = static::$kernel->getContainer()
      ->get('validator');

    $violations = $validator->validateValue($ine, new ValidINE());
    $this->assertCount(0, $violations);

  }

  public function validINEProvider() {
    return array(
      array('1209011986N'), // APB/SIECLE
      array('1207000049A'),
      array('03oavn06237') // Scolarix
    );
  }


  /**
   * {@inheritDoc}
   */
  protected function tearDown()
  {
    parent::tearDown();
  }


}
