<?php
namespace Cnous\PveBundle\Validator\Constraints;

use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;

class UniqueEmailValidator extends ConstraintValidator
{

  protected $ldap;
  protected $em;

  public function __construct($em, $ldap)
  {
    $this->em = $em;
    $this->ldap = $ldap;
  }

  public function validate($email, Constraint $constraint)
  {
    // On vérifie que l'adresse n'est pas déjà utilisée dans le PVE
    $usager = $this->em
      ->getRepository('CnousPveBundle:Usager')
      ->findOneByMail($email);

    if($usager) {
      $this->context->addViolation($constraint->message, array(
        '%email%' => $email
      ));
    }

    // TODO Valider l'unicité de l'email par rapport à l'annuaire LDAP
  }
}
