<?php
namespace Cnous\PveBundle\Validator\Constraints;

use Doctrine\ORM\EntityManager;
use Symfony\Component\Validator\Constraint;
use Symfony\Component\Validator\ConstraintValidator;

class UsagerUniqueValidator extends ConstraintValidator
{

  /*
   * @var EntityManager
   */
  protected $em;

  public function __construct(EntityManager $em)
  {
    $this->em = $em;
  }

  public function validate($usager, Constraint $constraint)
  {

    // On vérifie que l'utilisateur n'existe pas déjà en BDD
    $existing = $this->em->getRepository('CnousPveBundle:Usager')
      ->findOneBy(array(
        'nom' => $usager->getNom(),
        'prenom' => $usager->getPrenom(),
        'dateNaissance' => $usager->getDateNaissance()
      ));

    // Si un usager existe déjà avec ces informations
    if($existing) {
      $this->context->addViolation($constraint->message, array(
        '%mail%' => $existing->getObfuscatedMail(),
        '%nom%' => $existing->getNom(),
        '%prenom%' => $existing->getPrenom(),
        '%dateNaissance%' => $existing->getDateNaissance()->format('d/m/Y'),
      ));
    }

  }

}
